{% extends "base.html" %}

<!--dynamic table-->
{% block extrahead %}
    {% load staticfiles %}
    <link href="{% static "assets/datatables/css/dataTables.bootstrap.min.css" %}" rel="stylesheet">
{% endblock %}

{% block title %}Customers Coupon List{% endblock %}
{% block customer_coupon_active %}active{% endblock %}
{% block parent_customer_a_active %}active{% endblock %}
{% block parent_customer_i_active %}active{% endblock %}

{% block content %}
    <div class="row">
        <div class="col-sm-12">
            <section class="panel panel-content">
                <header class="panel-heading" style="font-size: 20px">
                    <span>Customers Coupon List</span>
{#                    <span class="tools pull-right">#}
{#                            <a class="btn btn-success start" href="{% url 'add_customer' %}">#}
{#                                <i class="glyphicon glyphicon-plus"></i>#}
{#                                <span>Add New</span>#}
{#                            </a>#}
{#                    </span>#}
                </header>
                <div class="panel-body">
                    <div class="adv-table table-responsive">
                        <table class="display table table-bordered table-striped"
                               id="customers-table">
                            <thead>
                            <tr>
                                <th class="center text-center ver-center">No</th>
                                <th class="left text-center ver-center">Membership</th>
                                <th class="left text-center ver-center">Customer Name</th>
                                <th class="center text-center ver-center">Phone</th>
                                <th class="center text-center ver-center">Email</th>
                                <th class="center text-center ver-center">Coupon Code</th>
                                <th class="center text-center ver-center">Coupon Name</th>
                                <th class="center text-center ver-center">Status</th>
                            </tr>
                            </thead>
                        </table>

                    </div>
                </div>
            </section>
        </div>
    </div>
    {#Comfirm Delete#}
    <div class="modal fade" id="confirmDelete" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-sm">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-hidden="true">&times;</button>
                    <h4 class="modal-title"><strong>Delete Customer</strong></h4>
                </div>
                <div class="modal-body" style="padding-bottom: 0px!important; padding: 0 3%;">
                    <form action="">
                        <div class="form-group">
                            <label>Are you sure you want to delete?</label>
                        </div>
                    </form>
                </div>
                <div class="modal-footer" style="text-align: center">
                    <button class="btn btn-default" type="button" data-dismiss="modal">No
                    </button>
                    <a id="comfirm-yes">
                        <button class="btn btn-danger" type="button">Yes</button>
                    </a>
                </div>
            </div>
        </div>
    </div>
    {#End Comfirm delete#}
{% endblock %}
{% block extrafoot %}

    <script src="{% static 'assets/datatables/js/jquery.dataTables.min.js' %}"></script>
    <script src="{% static 'assets/datatables/js/dataTables.bootstrap.min.js' %}"></script>
    <!--dynamic table initialization -->
    <script src="{% static 'js/dynamic_table_init.js' %}"></script>
    <script>

        $(document).ready(function () {

            //Disable table error alert
            $.fn.dataTable.ext.errMode = 'throw';

            $('#customers-table').dataTable({
                "order": [[0, "desc"]],
                "serverSide": true,

                "ajax": {
                    "url": "{% url 'get_list_customer_coupon_as_json' %}"
                },
                "columns": [
                    {
                        "orderable": true,
                        "data": null,
{#                        "width": '5%',#}
                        "sClass": 'text-center',
                        "render": function (data, type, row, meta) {
                            return row.stt
                        }
                    },
                    {
                        "orderable": true,
                        "data": null,
{#                        "width": '15%',#}
                        "render": function (data, type, full, meta) {
                            return '<a target="_blank" href="/cms/customers/edit/' + full.customer_id + '">' + full.customer_number + '</a>';
                        }
                    },
                    {
                        "orderable": true,
                        "data": null,
{#                        "width": '15%',#}
                        "render": function (data, type, full, meta) {
                            return '<a target="_blank" href="/cms/customers/edit/' + full.customer_id + '">' + full.customer_name + '</a>';
                        }
                    },
                    {
                        "orderable": true,
                        "data": null,
{#                        "width": '8%',#}
                        "render": function (data, type, full, meta) {
                            return '<a target="_blank" href="/cms/customers/edit/' + full.customer_id + '">' + full.customer_phone + '</a>';
                        }
                    },
                    {
                        "orderable": true,
                        "data": null,
{#                        "width": '15%',#}
                        "render": function (data, type, full, meta) {
                            return '<a target="_blank" href="/cms/customers/edit/' + full.customer_id + '">' + full.customer_email + '</a>';
                        }
                    },
                    {
                        "orderable": true,
                        "data": null,
{#                        "width": '15%',#}
                        "render": function (data, type, full, meta) {
                            return '<a target="_blank" href="/cms/coupons/edit/' + full.coupon_id + '">' + full.coupon_number + '</a>';
                        }
                    },
                    {
                        "orderable": true,
                        "data": null,
{#                        "width": '15%',#}
                        "render": function (data, type, full, meta) {
                            return '<a target="_blank" href="/cms/coupons/edit/' + full.coupon_id + '">' + full.coupon_name + '</a>';
                        }
                    },
                    {
                        "orderable": true,
                        "data": null,
{#                        "width": '15%',#}
                        "render": function(data, type, row, meta) {
                            if (row.status === '2') {
                                return 'Used';
                            } else {
                                return 'Registered ' + '<a href="/cms/customers_coupon/edit/' + row.id + '"><i class="fa fa-exchange" aria-hidden="true" title="Update status to Used?"></i></a>';
                            }
                        }
                    }
                ]
            });

        });
        function deleteCp(id) {
            var url = '/cms/customers/delete/' + id + '/';
            $("#confirmDelete").modal("show");
            $("#comfirm-yes").attr("href", url);
        }
    </script>
{% endblock %}
